## ESplash

ESplash — Splash screen

## Stability Level

Unstable, unless otherwise indicated

## Functions

void | e_splash_construct ()
GtkWidget * | e_splash_new ()
void | e_splash_set ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── ESplash

## Includes

    #include <libanjuta/e-splash.h>

## Description

## Functions

### e_splash_construct ()

    void
    e_splash_construct (ESplash *splash,
                        GdkPixbuf *splash_image_pixbuf,
                        gint progressbar_position);

Construct `splash` with `splash_image_pixbuf` as the splash image.

#### Parameters

splash | A pointer to an ESplash widget |
splash_image_pixbuf | The pixbuf for the image to appear in the splash dialog |

### e_splash_new ()

    GtkWidget *
    e_splash_new (const char *image_file,
                  gint progressbar_position);

Create a new ESplash widget.

#### Parameters

image_file | Splash image file |

#### Returns

A pointer to the newly created ESplash widget.

### e_splash_set ()

    void
    e_splash_set (ESplash *splash,
                  GdkPixbuf *icon_pixbuf,
                  const gchar *title,
                  const gchar *desc,
                  gfloat progress_percentage);

Set the current progress/icon/text.

#### Parameters

splash | A pointer to an ESplash widget |
icon_pixbuf | Pixbuf for the icon to be added |
title | Title. |
desc | Description. |
progress_percentage | percentage of progress. |

## Types and Values